Loading...
Searching...
No Matches
OBExternalBond Class Reference

`#include <openbabel/generic.h>`

## Public Member Functions

| OBExternalBond ()
| OBExternalBond (OBAtom *, OBBond *, int)
| OBExternalBond (const OBExternalBond &)
| ~OBExternalBond ()
int | GetIdx () const
OBAtom * | GetAtom () const
OBBond * | GetBond () const
void | SetIdx (int idx)
void | SetAtom (OBAtom *atom)
void | SetBond (OBBond *bond)

## Detailed Description

Used to store information on an external bond (e.g., SMILES fragments).

## Constructor & Destructor Documentation

## OBExternalBond() [1/3]

OBExternalBond | ( |  | ) |

inline

Referenced by OBExternalBond().

## OBExternalBond() [2/3]

OBExternalBond | ( | OBAtom * | atom,
|  | OBBond * | bond,
|  | int | idx )

## OBExternalBond() [3/3]

OBExternalBond | ( | const OBExternalBond & | src | ) |

## ~OBExternalBond()

~OBExternalBond | ( |  | ) |

inline

## Member Function Documentation

## GetIdx()

int GetIdx | ( |  | ) | const

inline

## GetAtom()

OBAtom * GetAtom | ( |  | ) | const

inline

## GetBond()

OBBond * GetBond | ( |  | ) | const

inline

## SetIdx()

void SetIdx | ( | int | idx | ) |

inline

## SetAtom()

void SetAtom | ( | OBAtom * | atom | ) |

inline

## SetBond()

void SetBond | ( | OBBond * | bond | ) |

inline

The documentation for this class was generated from the following files:

- generic.h
- generic.cpp